on setBoardPos stepTime
  global BOARDPOS
  if stepTime = VOID then
    set stepTime to 20
  end if
  set the member of sprite 6 to "boardPos" && string(BOARDPOS)
  set the visible of sprite 2 to BOARDPOS > 8
  set the visible of sprite 3 to BOARDPOS > 14
  set the visible of sprite 4 to BOARDPOS > 20
  set the visible of sprite 5 to BOARDPOS > 28
  updateStage()
  startTimer()
  repeat while the timer < stepTime
  end repeat
end

on flashFrame
  global BOARDPOS
  set tempBoardPos to BOARDPOS
  repeat with x = 1 to 3
    set BOARDPOS to 1
    setBoardPos(5)
    set BOARDPOS to tempBoardPos
    setBoardPos(5)
  end repeat
end

on playSpiceGame
  global BOARDPOS, GAMESDONE
  set the visible of sprite 16 to 0
  set the visible of sprite 15 to 0
  set the visible of sprite 13 to 0
  updateStage()
  set the visible of sprite 17 to 0
  set the visible of sprite 14 to 1
  set videoTime to the duration of member "dice Comp 1 Movie"
  if random(2) = 2 then
    puppetSound("bite")
  else
    puppetSound("shake")
  end if
  repeat while the movieTime of sprite 14 < videoTime
    set the movieRate of sprite 14 to 1
    updateStage()
  end repeat
  if the optionDown then
    go("blow up")
    exit
  end if
  if the shiftDown then
    set diceRoll to 1
  else
    set diceRoll to random(5)
  end if
  set the member of sprite 17 to "dice" && diceRoll
  set the movieTime of sprite 14 to 0
  set the visible of sprite 14 to 0
  set the visible of sprite 17 to 1
  updateStage()
  repeat with x = 1 to diceRoll
    puppetSound("board move")
    set BOARDPOS to BOARDPOS + 1
    if BOARDPOS > 35 then
      set GAMESDONE to 1
      set BOARDPOS to 36
      repeat with x = 1 to 10
        set the visible of sprite 55 to not (the visible of sprite 55)
        updateStage()
        startTimer()
        repeat while the timer < 20
        end repeat
        puppetSound("twink")
      end repeat
      puppetSound("girl power")
      go("bomb bus")
      unLoad()
      next repeat
    end if
    setBoardPos()
  end repeat
  set gameList to "7 posh squares,12 baby jigsaw,15 sporty maze,22 ginger kiss,31 scary squares"
  repeat with posCheck = 1 to the number of items in gameList
    if BOARDPOS = value(word 1 of item posCheck of gameList) then
      puppetSound("girl power")
      flashFrame()
      go(marker(word 2 to 3 of item posCheck of gameList))
      unLoad()
      exit
    end if
  end repeat
  set QuestionList to "2,5,6,10,11,13,16,17,18,20,25,26,28,30,32,33,35"
  repeat with posCheck = 1 to the number of items in QuestionList
    if BOARDPOS = item posCheck of QuestionList then
      flashFrame()
      go("questions")
      unLoad()
      exit
    end if
  end repeat
  set videoList to "4,9,19,23,27,34"
  repeat with posCheck = 1 to the number of items in videoList
    if BOARDPOS = item posCheck of videoList then
      flashFrame()
      go("video")
      unLoad()
      exit
    end if
  end repeat
end
